> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withverifa.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withverifa.com/_mcp/server.

# List workflow versions

GET https://api.withverifa.com/api/v1/workflows/{workflow_id}/versions

Returns the version history for a workflow.


Reference: https://docs.withverifa.com/api-reference/workflows/list-workflow-versions

## Authentication

- `X-API-Key` header (required) — Organization API key. Keys are prefixed with `vk_live_` (production) or `vk_sandbox_` (sandbox).

## Request

### Path parameters

- `workflow_id` (string, required)

### Query parameters

- `limit` (integer, optional, default: 50)
- `offset` (integer, optional, default: 0)

### Headers

- `Verifa-Version` (date, optional) — API version date string (e.g. `2026-02-01`). If omitted, the version pinned to your API key is used.

## Response

### 200

Workflow version history.

- `data` (list of ApiV1WorkflowsWorkflowIdVersionsGetResponsesContentApplicationJsonSchemaDataItems, required)
- `pagination` (ApiV1WorkflowsWorkflowIdVersionsGetResponsesContentApplicationJsonSchemaPagination, required)

## Errors

### 401 Unauthorized Error

Missing or invalid API key.

- `error` (string, required) — Short error code.
- `status_code` (integer, required) — HTTP status code.
- `detail` (string, optional) — Human-readable error description.

### 403 Forbidden Error

Insufficient permissions.

- `any`

### 404 Not Found Error

Resource not found.

- `error` (string, required) — Short error code.
- `status_code` (integer, required) — HTTP status code.
- `detail` (string, optional) — Human-readable error description.

## Types

### ApiV1WorkflowsWorkflowIdVersionsGetResponsesContentApplicationJsonSchemaDataItems

- `version` (integer, optional)
- `changed_at` (datetime, optional)
- `changed_by` (string, optional)
- `name` (string, optional)
- `description` (string, optional, nullable)
- `steps` (list of map from string to any, optional)
- `data_requirements` (map from string to any, optional, nullable)
- `screening_settings` (map from string to any, optional, nullable)
- `graph_layout` (map from string to any, optional, nullable)

### ApiV1WorkflowsWorkflowIdVersionsGetResponsesContentApplicationJsonSchemaPagination

- `total` (integer, required)
- `limit` (integer, required)
- `offset` (integer, required)

## Examples

**Response**

```json
{
  "data": [
    {
      "version": 1,
      "changed_at": "2024-01-15T09:30:00Z",
      "changed_by": "string",
      "name": "string",
      "description": "string",
      "steps": [
        {}
      ],
      "data_requirements": {},
      "screening_settings": {},
      "graph_layout": {}
    }
  ],
  "pagination": {
    "total": 1,
    "limit": 1,
    "offset": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.withverifa.com/api/v1/workflows/workflow_id/versions"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.withverifa.com/api/v1/workflows/workflow_id/versions';
const options = {method: 'GET', headers: {'X-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withverifa.com/api/v1/workflows/workflow_id/versions"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.withverifa.com/api/v1/workflows/workflow_id/versions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.withverifa.com/api/v1/workflows/workflow_id/versions")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.withverifa.com/api/v1/workflows/workflow_id/versions', [
  'headers' => [
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.withverifa.com/api/v1/workflows/workflow_id/versions");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withverifa.com/api/v1/workflows/workflow_id/versions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```